<?xml version="1.0" encoding="UTF-8"?>
<GenRun Id="impl_1" LaunchPart="xc7z020clg400-1" LaunchTime="1702099828">
  <File Type="BITSTR-BMM" Name="design_1_wrapper_bd.bmm"/>
  <File Type="ROUTE-PWR" Name="design_1_wrapper_power_routed.rpt"/>
  <File Type="PA-TCL" Name="design_1_wrapper.tcl"/>
  <File Type="OPT-DCP" Name="design_1_wrapper_opt.dcp"/>
  <File Type="ROUTE-PWR-SUM" Name="design_1_wrapper_power_summary_routed.pb"/>
  <File Type="REPORTS-TCL" Name="design_1_wrapper_reports.tcl"/>
  <File Type="OPT-DRC" Name="design_1_wrapper_drc_opted.rpt"/>
  <File Type="OPT-HWDEF" Name="design_1_wrapper.hwdef"/>
  <File Type="PWROPT-DCP" Name="design_1_wrapper_pwropt.dcp"/>
  <File Type="PLACE-DCP" Name="design_1_wrapper_placed.dcp"/>
  <File Type="PLACE-IO" Name="design_1_wrapper_io_placed.rpt"/>
  <File Type="PLACE-UTIL" Name="design_1_wrapper_utilization_placed.rpt"/>
  <File Type="PLACE-UTIL-PB" Name="design_1_wrapper_utilization_placed.pb"/>
  <File Type="PLACE-CTRL" Name="design_1_wrapper_control_sets_placed.rpt"/>
  <File Type="PLACE-PRE-SIMILARITY" Name="design_1_wrapper_incremental_reuse_pre_placed.rpt"/>
  <File Type="BG-BGN" Name="design_1_wrapper.bgn"/>
  <File Type="POSTPLACE-PWROPT-DCP" Name="design_1_wrapper_postplace_pwropt.dcp"/>
  <File Type="BG-BIN" Name="design_1_wrapper.bin"/>
  <File Type="PHYSOPT-DCP" Name="design_1_wrapper_physopt.dcp"/>
  <File Type="BITSTR-MSK" Name="design_1_wrapper.msk"/>
  <File Type="ROUTE-ERROR-DCP" Name="design_1_wrapper_routed_error.dcp"/>
  <File Type="ROUTE-DCP" Name="design_1_wrapper_routed.dcp"/>
  <File Type="ROUTE-BLACKBOX-DCP" Name="design_1_wrapper_routed_bb.dcp"/>
  <File Type="ROUTE-DRC" Name="design_1_wrapper_drc_routed.rpt"/>
  <File Type="ROUTE-DRC-PB" Name="design_1_wrapper_drc_routed.pb"/>
  <File Type="BITSTR-LTX" Name="design_1_wrapper.ltx"/>
  <File Type="ROUTE-DRC-RPX" Name="design_1_wrapper_drc_routed.rpx"/>
  <File Type="BITSTR-MMI" Name="design_1_wrapper.mmi"/>
  <File Type="ROUTE-METHODOLOGY-DRC" Name="design_1_wrapper_methodology_drc_routed.rpt"/>
  <File Type="ROUTE-METHODOLOGY-DRC-RPX" Name="design_1_wrapper_methodology_drc_routed.rpx"/>
  <File Type="BITSTR-SYSDEF" Name="design_1_wrapper.sysdef"/>
  <File Type="ROUTE-METHODOLOGY-DRC-PB" Name="design_1_wrapper_methodology_drc_routed.pb"/>
  <File Type="ROUTE-PWR-RPX" Name="design_1_wrapper_power_routed.rpx"/>
  <File Type="ROUTE-STATUS" Name="design_1_wrapper_route_status.rpt"/>
  <File Type="ROUTE-STATUS-PB" Name="design_1_wrapper_route_status.pb"/>
  <File Type="ROUTE-TIMINGSUMMARY" Name="design_1_wrapper_timing_summary_routed.rpt"/>
  <File Type="ROUTE-TIMING-PB" Name="design_1_wrapper_timing_summary_routed.pb"/>
  <File Type="ROUTE-TIMING-RPX" Name="design_1_wrapper_timing_summary_routed.rpx"/>
  <File Type="RDI-RDI" Name="design_1_wrapper.vdi"/>
  <File Type="ROUTE-CLK" Name="design_1_wrapper_clock_utilization_routed.rpt"/>
  <File Type="ROUTE-BUS-SKEW" Name="design_1_wrapper_bus_skew_routed.rpt"/>
  <File Type="ROUTE-BUS-SKEW-PB" Name="design_1_wrapper_bus_skew_routed.pb"/>
  <File Type="ROUTE-BUS-SKEW-RPX" Name="design_1_wrapper_bus_skew_routed.rpx"/>
  <File Type="POSTROUTE-PHYSOPT-DCP" Name="design_1_wrapper_postroute_physopt.dcp"/>
  <File Type="POSTROUTE-PHYSOPT-BLACKBOX-DCP" Name="design_1_wrapper_postroute_physopt_bb.dcp"/>
  <File Type="BG-BIT" Name="design_1_wrapper.bit"/>
  <File Type="BITSTR-RBT" Name="design_1_wrapper.rbt"/>
  <File Type="BITSTR-NKY" Name="design_1_wrapper.nky"/>
  <File Type="BG-DRC" Name="design_1_wrapper.drc"/>
  <File Type="WBT-USG" Name="usage_statistics_webtalk.html"/>
  <FileSet Name="sources" Type="DesignSrcs" RelSrcDir="$PSRCDIR/sources_1">
    <Filter Type="Srcs"/>
    <File Path="$PSRCDIR/sources_1/new/checksum.v">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/bd/design_1/design_1.bd">
      <FileInfo>
        <Attr Name="ImportPath" Val="$PPRDIR/../../../../../MP2/DMA_Project/DMA_Project.srcs/sources_1/bd/design_1/design_1.bd"/>
        <Attr Name="ImportTime" Val="1693939245"/>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/bd/design_1/hdl/design_1_wrapper.v">
      <FileInfo>
        <Attr Name="ImportPath" Val="$PPRDIR/../../../../../MP2/DMA_Project/DMA_Project.srcs/sources_1/bd/design_1/hdl/design_1_wrapper.v"/>
        <Attr Name="ImportTime" Val="1693939255"/>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PSRCDIR/sources_1/imports/DMA_Project/archive_project_summary.txt">
      <FileInfo>
        <Attr Name="ImportPath" Val="$PPRDIR/../../../../archive_project_summary.txt"/>
        <Attr Name="ImportTime" Val="1693952606"/>
      </FileInfo>
    </File>
    <File Path="$PPRDIR/archive_project_summary.txt"/>
    <Config>
      <Option Name="DesignMode" Val="RTL"/>
      <Option Name="TopModule" Val="design_1_wrapper"/>
    </Config>
  </FileSet>
  <FileSet Name="constrs_in" Type="Constrs" RelSrcDir="$PSRCDIR/constrs_1">
    <Filter Type="Constrs"/>
    <File Path="$PSRCDIR/constrs_1/new/constraints.xdc">
      <FileInfo>
        <Attr Name="ImportPath" Val="$PPRDIR/../../../../../MP2/DMA_Project/DMA_Project.srcs/constrs_1/new/constraints.xdc"/>
        <Attr Name="ImportTime" Val="1693673551"/>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
      </FileInfo>
    </File>
    <Config>
      <Option Name="ConstrsType" Val="XDC"/>
    </Config>
  </FileSet>
  <FileSet Name="utils" Type="Utils" RelSrcDir="$PSRCDIR/utils_1">
    <Filter Type="Utils"/>
    <Config>
      <Option Name="TopAutoSet" Val="TRUE"/>
    </Config>
  </FileSet>
  <Strategy Version="1" Minor="2">
    <StratHandle Name="Vivado Implementation Defaults" Flow="Vivado Implementation 2019"/>
    <Step Id="init_design"/>
    <Step Id="opt_design"/>
    <Step Id="power_opt_design"/>
    <Step Id="place_design"/>
    <Step Id="post_place_power_opt_design"/>
    <Step Id="phys_opt_design"/>
    <Step Id="route_design"/>
    <Step Id="post_route_phys_opt_design"/>
    <Step Id="write_bitstream"/>
  </Strategy>
  <BlockFileSet Type="BlockSrcs" Name="design_1_checksum_0_1"/>
</GenRun>
